
/**
 * @file jcperfdmf.h
 * The CPERFDMF (C api to PerfDMF) API
 *
 * @author Alan Morris
 */


#ifndef __JCPERFDMF_H__
#define __JCPERFDMF_H__

// this file is auto generated

int jcperfdmf_init();
int jcperfdmf_finalize();
int jcperfdmf_connectDB(char* arg0, char* arg1);
int jcperfdmf_initializeTauOutput(char* arg0);
int jcperfdmf_uploadTauOutput(int* arg0, char* arg1, int arg2);
int jcperfdmf_getApplications(char** arg0);
int jcperfdmf_getApplicationDetail(char** arg0, int arg1);
int jcperfdmf_setApplicationDetail(char* arg0, int* arg1);
int jcperfdmf_deleteApplication(int arg0);
int jcperfdmf_getExperiments(char** arg0, int arg1);
int jcperfdmf_getExperimentDetail(char** arg0, int arg1);
int jcperfdmf_setExperimentDetail(char* arg0, int* arg1);
int jcperfdmf_deleteExperiment(int arg0);
int jcperfdmf_getTrials(char** arg0, int arg1);
int jcperfdmf_getTrialDetail(char** arg0, int arg1);
int jcperfdmf_setTrialDetail(char* arg0, int* arg1);
int jcperfdmf_deleteTrial(int arg0);
int jcperfdmf_selectTrial(int arg0);
int jcperfdmf_getMetrics(char** arg0);
int jcperfdmf_getFunctions(char** arg0);
int jcperfdmf_getNumNodes(int* arg0);
int jcperfdmf_getNumContexts(int* arg0, int arg1);
int jcperfdmf_getNumThreads(int* arg0, int arg1, int arg2);
int jcperfdmf_getProfileValues(char** arg0, int arg1, int arg2, int arg3, int arg4, int arg5);
int jcperfdmf_getUserEvents(char** arg0, int arg1, int arg2, int arg3);
int jcperfdmf_getGroups(char** arg0);
int jcperfdmf_queryNodeExists(int* arg0, int arg1);
int jcperfdmf_queryContextExists(int* arg0, int arg1, int arg2);
int jcperfdmf_queryThreadExists(int* arg0, int arg1, int arg2, int arg3);

#endif
